// Verilog Test Fixture Template

  `timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: LDM-SYSTEMS
// Engineer: LDM
// 
// Create Date:    22/01/2020 
// Design Name: 
// Module Name:    LDM 
// Project Name:   LDM-HELPER-XC6SLX9-TQ144
// Target Devices: xc6slx9-3tqg144
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module LDM
(
output reg LED_1 = 1'b1,
input CLOCK
);

reg[31:0] counter = 32'h00000000;


always@(posedge CLOCK)
begin
counter<=counter + 1'b1;
	case(counter)
		5000000: 	LED_1<=1'b1;
		10000000: 	begin 
							LED_1<=1'b0;
							counter<=32'h00000000;
						end
	endcase
end



endmodule
